Package org.apache.jmeter.gui.plugin

# Interface MenuCreator

All Known Implementing Classes:
  `CompileJSR223TestElements`, `ExportTransactionAndSamplerNames`, `HtmlReportAction`, `ParseCurlCommandAction`, `Restart`, `SchematicView`

public interface MenuCreator

Since:
  2.10

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `MenuCreator.MENU_LOCATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JMenuItem[]`
  `getMenuItemsAtLocation(MenuCreator.MENU_LOCATION location)`
  MenuItems to be added in location menu
  `JMenu[]`
  `getTopLevelMenus()`
  `void`
  `localeChanged()`
  Update Top Level menu on Locale Change
  `boolean`
  `localeChanged(MenuElement menu)`

- ## Method Details

  - ### getMenuItemsAtLocation

    JMenuItem[] getMenuItemsAtLocation(MenuCreator.MENU_LOCATION location)
    MenuItems to be added in location menu
    Parameters:
      `location` - in top menu
    Returns:
      array of `JMenuItem`

  - ### getTopLevelMenus

    JMenu[] getTopLevelMenus()
    Returns:
      array of JMenu to be put as top level menu between Options and Help

  - ### localeChanged

    boolean localeChanged(MenuElement menu)
    Parameters:
      `menu` - MenuElement
    Returns:
      true if menu was concerned by Locale change

  - ### localeChanged

    void localeChanged()
    Update Top Level menu on Locale Change